[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# SetCBreak

Set Control-Break flag status

## Declaration

Source position: dosh.inc line 131

`procedure SetCBreak(`
`breakvalue: Boolean`
`);`

## Description

SetCBreak sets the status of CTRL-Break checking. When BreakValue is false, then dos only checks for the CTRL-Break key-press when I/O is performed. When it is set to True, then a check is done at every system call.

Remark: | Under non-dos and non-Amiga operating systems, this call does nothing.

## Errors

None.

## See also

GetCBreak |  | Get control-Break flag

Documentation generated on: Feb 26 2014